Bug 175360 - [PATCH] update security/nettle to latest version
Summary: [PATCH] update security/nettle to latest version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Johan van Selst
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-16 22:30 UTC by Niclas Zeising
Modified: 2013-01-17 20:00 UTC (History)
0 users

See Also:


Attachments
nettle.update.2.6.diff (2.01 KB, patch)
2013-01-16 22:30 UTC, Niclas Zeising
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Niclas Zeising 2013-01-16 22:30:00 UTC
	Attached patch updates security/nettle to the latest version.  While here, it also trims makefile headers.
Comment 1 Edwin Groothuis freebsd_committer 2013-01-16 22:30:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->johans

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-01-17 19:55:31 UTC
Author: johans
Date: Thu Jan 17 19:55:23 2013
New Revision: 310565
URL: http://svnweb.freebsd.org/changeset/ports/310565

Log:
  - Update Nettle to 2.6
  - While here, also trim makefile headers
  
  PR:		ports/175360
  Submitted by:	Niclas Zeising <zeising@daemonic.se>

Modified:
  head/security/nettle/Makefile
  head/security/nettle/distinfo
  head/security/nettle/pkg-plist

Modified: head/security/nettle/Makefile
==============================================================================
--- head/security/nettle/Makefile	Thu Jan 17 19:50:53 2013	(r310564)
+++ head/security/nettle/Makefile	Thu Jan 17 19:55:23 2013	(r310565)
@@ -1,13 +1,8 @@
-# ex:ts=8
-# New ports collection makefile for:	nettle
-# Date created:			Dec 6, 2001
-# Whom:				ijliao
-#
+# Created by: ijliao
 # $FreeBSD$
-#
 
 PORTNAME=	nettle
-PORTVERSION=	2.5
+PORTVERSION=	2.6
 CATEGORIES=	security
 MASTER_SITES=	${MASTER_SITE_GNU} \
 		http://www.lysator.liu.se/~nisse/archive/:liu \

Modified: head/security/nettle/distinfo
==============================================================================
--- head/security/nettle/distinfo	Thu Jan 17 19:50:53 2013	(r310564)
+++ head/security/nettle/distinfo	Thu Jan 17 19:55:23 2013	(r310565)
@@ -1,2 +1,2 @@
-SHA256 (nettle-2.5.tar.gz) = 4aa142e908b0053082d7729fc0155dc90dbe71c8ef5f50f30034805ed5c92c72
-SIZE (nettle-2.5.tar.gz) = 1113274
+SHA256 (nettle-2.6.tar.gz) = 60df624f63b997c832cae29f48ab9ada99df815bcd60d231526b83e786b4b156
+SIZE (nettle-2.6.tar.gz) = 1385695

Modified: head/security/nettle/pkg-plist
==============================================================================
--- head/security/nettle/pkg-plist	Thu Jan 17 19:50:53 2013	(r310564)
+++ head/security/nettle/pkg-plist	Thu Jan 17 19:55:23 2013	(r310565)
@@ -19,6 +19,7 @@ include/nettle/des-compat.h
 include/nettle/des.h
 include/nettle/dsa.h
 include/nettle/gcm.h
+include/nettle/gosthash94.h
 include/nettle/hmac.h
 include/nettle/knuth-lfib.h
 include/nettle/macros.h
@@ -30,6 +31,7 @@ include/nettle/memxor.h
 include/nettle/nettle-meta.h
 include/nettle/nettle-stdint.h
 include/nettle/nettle-types.h
+include/nettle/pbkdf2.h
 include/nettle/pgp.h
 include/nettle/pkcs1.h
 include/nettle/realloc.h
@@ -40,16 +42,19 @@ include/nettle/salsa20.h
 include/nettle/serpent.h
 include/nettle/sexp.h
 include/nettle/sha.h
+include/nettle/sha1.h
+include/nettle/sha2.h
+include/nettle/sha3.h
 include/nettle/twofish.h
 include/nettle/yarrow.h
 lib/libhogweed.a
 lib/libhogweed.so
 lib/libhogweed.so.2
-lib/libhogweed.so.2.2
+lib/libhogweed.so.2.3
 lib/libnettle.a
 lib/libnettle.so
 lib/libnettle.so.4
-lib/libnettle.so.4.4
+lib/libnettle.so.4.5
 libdata/pkgconfig/nettle.pc
 libdata/pkgconfig/hogweed.pc
 %%PORTDOCS%%%%DOCSDIR%%/NEWS
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Johan van Selst freebsd_committer 2013-01-17 19:55:44 UTC
State Changed
From-To: open->closed

Committed, thanks.